@Matthieu_from_NAVINN wrote:
Hi, i'm tring to work on meshes from a list of rhinoObjects.
But for some reason, some objects return an empty mesh list with the command.getMeshes
. As you can see in my code below, i've tried to figure out a way out by creating a Brep, but that does not always works. Any idea?
(Generally the problematic objects are open surfaces or blocks instances)Dim RhinoObjMeshs As Mesh() = RhinoObj.GetMeshes(MeshType.Any) If RhinoObjMeshs.Count = 0 Then If RhinoObj.Geometry.HasBrepForm Then Dim RhinoBrep As Brep = Brep.TryConvertBrep(RhinoObj.Geometry) RhinoBrep.Compact() Dim MyIfcFace = model.Instances.[New](Of Xbim.Ifc4.TopologyResource.IfcFace)() Dim params As New Rhino.Geometry.MeshingParameters() params.ComputeCurvature = False params.GridAmplification = 0.5 RhinoObjMeshs = Mesh.CreateFromBrep(RhinoBrep, params) Else RhinoApp.WriteLine("No BRep form: " & RhinoObj.Id.ToString) End If End If
Posts: 2
Participants: 2